# PSF-LoginServer - master - net.psforever.objects.vital.base.DamageResolution
PSF - LoginServer - master - net.psforever.objects.vital.base.DamageResolution
Keywords: PSF LoginServer master net.psforever.objects.vital.base.DamageResolution

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package base
  Definition Classes
    vital
- DamageModifiers
- DamageReason
- DamageResolution
- DamageType

o

net.psforever.objects.vital.base

# DamageResolution

###

#### object DamageResolution extends Enumeration

An `Enumeration` of outcomes regarding what actually happened to the damage, complementing normal damage type distinction in directing damage calculations.
Although some of the earlier states reflect what sort of damage might perform - `Hit`, `Splash`, etc. - this state is more a communication about how that damage is interpreted by the server. For example, some projectiles: perform `Direct` damage, are reported by `HitMessage` packets, and resolve as `Hit`; or, perform `Direct` damage, are reported by `LashDamage` packets, and resolve as `Lash`. Furthermore, some projectiles: perform `Splash` damage, are reported by `SplashHitMessage` packets, and resolve as `Splash`; or, perform `Aggravated` damage, are reported by `SplashHitMessage` packets and resolve either as `AggravatedDirect` or as `AggravatedSplash`.

Source
  DamageResolution.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageResolution
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AggravatedDirect: Value
5.  val AggravatedDirectBurn: Value
6.  val AggravatedSplash: Value
7.  val AggravatedSplashBurn: Value
8.  val Environmental: Value
9.  val Explosion: Value
10.  val Hit: Value
11.  val Lash: Value
12.  val Missed: Value
13.  val Resolved: Value
14.  val Splash: Value
15.  val Suicide: Value
16.  val Unresolved: Value
17.  final def Value(i: Int, name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
18.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
19.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
20.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
21.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
22.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
23.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
26.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
27.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def maxId: Int
    Definition Classes
      Enumeration
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
33.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
39.  def values: ValueSet
    Definition Classes
      Enumeration
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
43.  final def withName(s: String): Value
    Definition Classes
      Enumeration
44.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped